View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015746FPCUtilitiespublic2010-02-12 19:222014-03-06 10:22
ReporterStefan Müller 
Assigned ToMichael Van Canneyt 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.1Product Build 
Target VersionFixed in Version 
Summary0015746: FPDoc does not support generics
DescriptionA line like
  TMyObjectList = specialize TFPGObjectList<TMyObject>;
will cause FPDoc to stop parsing the file. It would be good if fpdoc would at least treat this as
  TMyObjectList = class;
or something.
Additional InformationThe error message from FPDoc is
  Expected ".." at token ";"
TagsNo tags attached.
FPCOldBugId
Fixed in Revision
Attached Files

- Relationships

-  Notes
(0060321)
Michael Van Canneyt (administrator)
2012-06-06 22:40

Latest fpdoc from trunk parses it without problems.

- Issue History
Date Modified Username Field Change
2010-02-12 19:22 Stefan Müller New Issue
2012-06-06 21:01 Jonas Maebe Status new => assigned
2012-06-06 21:01 Jonas Maebe Assigned To => Michael Van Canneyt
2012-06-06 22:40 Michael Van Canneyt Status assigned => resolved
2012-06-06 22:40 Michael Van Canneyt Resolution open => fixed
2012-06-06 22:40 Michael Van Canneyt Note Added: 0060321
2014-03-06 10:22 Michael Van Canneyt Status resolved => closed



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker